#!/bin/bash

if [ ! -d packages/cantaloupe-4.0.2 ] ; then
    cd packages/ 
    tar xvzf cantaloupe-4.0.2.tar.gz
    cd ..
fi

echo "Running rsync update on src/main"
rsync -pav src/main packages/cantaloupe-4.0.2/src/.

echo "Running rsync update on cantaloupe-pom.xml -> cantaloupe-4.0.2/pom.xml"
rsync -pav cantaloupe-pom.xml packages/cantaloupe-4.0.2/pom.xml


echo

echo "Copying Greenstone's global.properties into Cantaloupe's resources folder"
/bin/cp ../../web/WEB-INF/classes/global.properties packages/cantaloupe-4.0.2/src/main/resources/.

echo "Copying Greenstone's log4j.properties into Cantaloupe's resources folder"
/bin/cp ../../web/WEB-INF/classes/log4j.properties packages/cantaloupe-4.0.2/src/main/resources/.

echo "Copying Greenstone's IIIFConfig.xml into Cantaloupe's resources folder"
/bin/cp ../../web/WEB-INF/classes/IIIFConfig.xml packages/cantaloupe-4.0.2/src/main/resources/.


echo
echo "Next step:"
echo "  ./COMPILE-CANTALOUPE.sh"
echo
